using UnityEngine;
using System.Collections;

public class SpotLamp : MonoBehaviour {
	
	public Transform lamp;
	public Light light;
	
	public Transform target;
	
	void Update ()
	{
		UpdateLookAtTarget();
	}
	
	[ContextMenu("Look At Target")]
	public void UpdateLookAtTarget ()
	{
		lamp.transform.LookAt(target.position);
	}
	
}
